//package com.huimv.env.device.listener;
//
//import com.huimv.env.common.utils.Const;
//import com.huimv.env.common.utils.MathUtil2;
//import com.huimv.env.device.service.IDeviceService;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.amqp.rabbit.annotation.RabbitHandler;
//import org.springframework.amqp.rabbit.annotation.RabbitListener;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
//import java.util.Map;
//
//@Component
//@Slf4j
//public class DeviceListener {
//    @Autowired
//    private IDeviceService deviceService;
//
//    @Autowired
//    private MathUtil2 mathUtil;
//
//
//    @RabbitListener(queues = Const.QUEUE_ENV_CO2_DATA)
//    @RabbitHandler
//    public void processEnvCO2(Map RawMap)   {
//        System.out.println(">>>>>>>>>>>>>> 11 接收CO2数据 RawMap>>" + RawMap.toString());
//        try {
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveCO2(dataArray);
//        }catch (Exception e){
//            System.out.println("co2异常"+e);
//        }
//    }
//
//    @RabbitListener(queues = Const.QUEUE_ENV_YALI_DATA)
//    @RabbitHandler
//    public void processEnvYali(Map RawMap)   {
//        System.out.println(">>>>>>>>>>>>>> 11 接收压力数据 RawMap>>" + RawMap.toString());
//        try {
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveYaLI(dataArray);
//        }catch (Exception e){
//            System.out.println("压力异常"+e);
//        }
//    }
//
//
//    @RabbitListener(queues = Const.QUEUE_ENV_TEMP)
//    @RabbitHandler
//    public void processEnvTemp(Map RawMap)   {
//        System.out.println(">>>>>>>>>>>>>> 11 接收温度数据 RawMap>>" + RawMap.toString());
//        try {
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveTemp(dataArray);
//        }catch (Exception e){
//            System.out.println("温度异常"+e);
//        }
//    }
//    @RabbitListener(queues = Const.QUEUE_ENV_TARGET_TEMP)
//    @RabbitHandler
//    public void processEnvTargetTemp(Map RawMap)   {
//        System.out.println(">>>>>>>>>>>>>> 17 接收目标温度数据 RawMap>>" + RawMap.toString());
//        try {
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveTargetTemp(dataArray);
//        }catch (Exception e){
//            System.out.println("湿度异常"+e);
//        }
//    }
//
//    @RabbitListener(queues = Const.QUEUE_ENV_HUMI)
//    @RabbitHandler
//    public void processEnvHumi(Map RawMap)   {
//        System.out.println(">>>>>>>>>>>>>> 12 接收湿度数据 RawMap>>" + RawMap.toString());
//        try {
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveHumi(dataArray);
//        }catch (Exception e){
//            System.out.println("湿度异常"+e);
//        }
//    }
//
//
//    @RabbitListener(queues = Const.QUEUE_ENV_DAYAGE)
//    @RabbitHandler
//    public void processEnvDayAge(Map RawMap)   {
//        System.out.println(">>>>>>>>>>>>>> 13 接收日龄数据 RawMap>>" + RawMap.toString());
//        try {
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveDayAge(dataArray);
//        }catch (Exception e){
//            System.out.println("湿度异常"+e);
//        }
//    }
//
//    @RabbitListener(queues = Const.QUEUE_ENV_FENG)
//    @RabbitHandler
//    public void processEnvFeng(Map RawMap)   {
//        System.out.println(">>>>>>>>>>>>>> 14 接收风机数据 RawMap>>" + RawMap.toString());
//        try {
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveFeng(dataArray);
//        }catch (Exception e){
//            System.out.println("湿度异常"+e);
//        }
//    }
//
//    @RabbitListener(queues = Const.QUEUE_ENV_OUT_TEMP)
//    @RabbitHandler
//    public void processOutTemp(Map RawMap)   {
//        System.out.println(">>>>>>>>>>>>>> 15 接收舍外温度数据 RawMap>>" + RawMap.toString());
//        try {
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveOutTemp(dataArray);
//        }catch (Exception e){
//            System.out.println("湿度异常"+e);
//        }
//    }
//
//    @RabbitListener(queues = Const.QUEUE_ENV_IN_TEMP)
//    @RabbitHandler
//    public void processInTemp(Map RawMap)   {
//        System.out.println(">>>>>>>>>>>>>> 16 接收舍内温度数据 RawMap>>" + RawMap.toString());
//        try {
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveInTemp(dataArray);
//        }catch (Exception e){
//            System.out.println("湿度异常"+e);
//        }
//    }
//
//    @RabbitListener(queues = Const.QUEUE_ENV_WARNING)
//    @RabbitHandler
//    public void processWning(Map RawMap)   {
//        System.out.println(">>>>>>>>>>>>>> 17 接收报警数据 RawMap>>" + RawMap.toString());
//        try {
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveWarning(dataArray);
//        }catch (Exception e){
//            System.out.println("湿度异常"+e);
//        }
//    }
//
//    @RabbitListener(queues = Const.QUEUE_ENV_FENG_STATUS)
//    @RabbitHandler
//    public void processFengStatus(Map RawMap)   {
//        try {
//            System.out.println(">>>>>>>>>>>>>> 17 接收风机状态数据 RawMap>>" + RawMap.toString());
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveFengStatus(dataArray);
//        }catch (Exception e){
//            System.out.println("湿度异常"+e);
//        }
//    }
//
//    @RabbitListener(queues = Const.QUEUE_ENV_SHILIAN_STATUS)
//    @RabbitHandler
//    public void processShiLianStatus(Map RawMap)   {
//        try {
//            System.out.println(">>>>>>>>>>>>>> 18 接收湿帘状态数据 RawMap>>" + RawMap.toString());
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveShiLianStatus(dataArray);
//        }catch (Exception e){
//            System.out.println("接收湿帘异常"+e);
//        }
//
//    }
//    @RabbitListener(queues = Const.QUEUE_ENV_PENWU_STATUS)
//    @RabbitHandler
//    public void processPenWuStatus(Map RawMap)   {
//        try {
//            System.out.println(">>>>>>>>>>>>>> 19 接收喷雾状态数据 RawMap>>" + RawMap.toString());
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.savePenWuStatus(dataArray);
//        }catch (Exception e){
//            System.out.println("接收喷雾状态异常"+e);
//        }
//    }
//    @RabbitListener(queues = Const.QUEUE_ENV_DAYAGE_PEIZHI)
//    @RabbitHandler
//    public void processDayAgePeiZhi(Map RawMap)   {
//        try {
//            System.out.println(">>>>>>>>>>>>>> 19 接收日龄配置数据 RawMap>>" + RawMap.toString());
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveDayAgePeiZhi(dataArray);
//        }catch (Exception e){
//            System.out.println("接收日龄配置异常"+e);
//        }
//    }
//    @RabbitListener(queues = Const.QUEUE_ENV_FENG_PEIZHI)
//    @RabbitHandler
//    public void processFengPeiZhi(Map RawMap)   {
//        try {
//            System.out.println(">>>>>>>>>>>>>> 19 接收风机配置数据 RawMap>>" + RawMap.toString());
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveFengPeiZhi(dataArray);
//        }catch (Exception e){
//            System.out.println("接收风机配置异常"+e);
//        }
//    }
//
//    @RabbitListener(queues = Const.QUEUE_ENV_SHUINUAN_DATA)
//    @RabbitHandler
//    public void processShuiNuanData(Map RawMap)   {
//        try {
//            System.out.println(">>>>>>>>>>>>>> 8 接收水暖配置数据 RawMap>>" + RawMap.toString());
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveShuiNuan(dataArray);
//        }catch (Exception e){
//            System.out.println("接收水暖配置数据异常"+e);
//        }
//    }
//
//    @RabbitListener(queues = Const.QUEUE_ENV_WEIZHI_DATA)
//    @RabbitHandler
//    public void processWeiZhiData(Map RawMap)   {
//        try {
//            System.out.println(">>>>>>>>>>>>>> 9 接收位置数据 RawMap>>" + RawMap.toString());
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveWeiZhi(dataArray);
//        }catch (Exception e){
//            System.out.println("接收水暖配置数据异常"+e);
//        }
//    }
//
//    @RabbitListener(queues = Const.QUEUE_ENV_SHUIBIAO_DATA)
//    @RabbitHandler
//    public void processShuiBiaoData(Map RawMap)   {
//        try {
//            System.out.println(">>>>>>>>>>>>>> 31 接收水表数据 RawMap>>" + RawMap.toString());
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveShuiBiao(dataArray);
//        }catch (Exception e){
//            System.out.println("接收水表数据数据异常"+e);
//        }
//    }
//
//    @RabbitListener(queues = Const.QUEUE_ENV_DIANBIAO_DATA)
//    @RabbitHandler
//    public void processDianBiaoData(Map RawMap)   {
//        try {
//            System.out.println(">>>>>>>>>>>>>> 32 接收电表数据 RawMap>>" + RawMap.toString());
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveDianBiao(dataArray);
//        }catch (Exception e){
//            System.out.println("接收电表数据数据异常"+e);
//        }
//    }
//    @RabbitListener(queues = Const.QUEUE_ENV_JIARE_STATUS)
//    @RabbitHandler
//    public void processJiaReStatus(Map RawMap)   {
//        try {
//            System.out.println(">>>>>>>>>>>>>> 64 接收加热器状态数据 RawMap>>" + RawMap.toString());
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveJiaReStatus(dataArray);
//        }catch (Exception e){
//            System.out.println("接收加热器状态异常"+e);
//        }
//    }
//    @RabbitListener(queues = Const.QUEUE_ENV_XIAOCHUANG_STATUS)
//    @RabbitHandler
//    public void processXiaoChuangStatus(Map RawMap)   {
//        try {
//            System.out.println(">>>>>>>>>>>>>> 65 接收小窗状态数据 RawMap>>" + RawMap.toString());
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveXiaoChuangStatus(dataArray);
//        }catch (Exception e){
//            System.out.println("接收小窗状态异常"+e);
//        }
//    }
//    @RabbitListener(queues = Const.QUEUE_ENV_DAOLIU_STATUS)
//    @RabbitHandler
//    public void processDaoLiuStatus(Map RawMap)   {
//        try {
//            System.out.println(">>>>>>>>>>>>>> 66 接收导流板状态 RawMap>>" + RawMap.toString());
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveDaoLiuStatus(dataArray);
//        }catch (Exception e){
//            System.out.println("接收导流板状态异常"+e);
//        }
//    }
//    @RabbitListener(queues = Const.QUEUE_ENV_ZHAOMING_STATUS)
//    @RabbitHandler
//    public void processZhaoMingStatus(Map RawMap)   {
//        try {
//            System.out.println(">>>>>>>>>>>>>> 67 接收照明数据 RawMap>>" + RawMap.toString());
//            String askText = RawMap.get("askText").toString();
//            String[] dataArray = askText.split("\\+");
//            deviceService.saveZhaoMingStatus(dataArray);
//        }catch (Exception e){
//            System.out.println("接收照明数据异常"+e);
//        }
//    }
//
//
//}
